PKGCTL-VERSION-UPGRADE(1)

NOME
pkgctl-version-upgrade - Ajusta o PKGBUILD para corresponder à versão upstream mais recente

SINOPSE

pkgctl version upgrade [OPÇÕES] [PKGBASE...]

DESCRIÇÃO

Simplifica o processo de manter os arquivos PKGBUILD atualizados com as versões mais recentes do upstream.

Ao ser executado, ele ajusta automaticamente o arquivo PKGBUILD, garantindo que o campo pkgver esteja definido para corresponder à versão mais recente disponível no código-fonte upstream. Além de atualizar o pkgver, este comando também redefine o pkgrel para 1 e atualiza as somas de verificação.

Gera um resumo dos pacotes atualizados, pacotes atualizados e quaisquer falhas de verificação.

Isso simplifica a manutenção de arquivos PKGBUILD, reduzindo o esforço manual necessário para rastrear e implementar alterações de versão de fontes upstream.

CONFIGURAÇÃO

Usa nvchecker(1) e um arquivo .nvchecker.toml localizado junto com o PKGBUILD. Consulte a seção de configuração em pkgctl-version(1).

OPÇÕES

--no-update-checksums
    Desabilita o cálculo e atualização das somas de verificação

-v, --verbose
    Exibe resultados incluindo versões atualizadas

-h, --help
    Mostra um texto de ajuda.

VEJA TAMBÉM

pkgctl-version(1) nvchecker(1)

SITE

Por favor, relate bugs e solicitações de recursos no rastreador de problemas. Por favor, faça o seu melhor para fornecer um caso de teste reproduzível para bugs.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).